Skip to content

@koomie koomie released this Apr 2, 2018 · 2 commits to obs/OpenHPC_1.3.3_Factory since this release

Release Notes

Important Highlights/Notices
  • Convention update for RPM dependencies: beginning with the v1.3.4 release, OpenHPC build macros have been updated to leverage custom RPM build plugins which append an "(ohpc)" tag to dynamic libraries packaged and installed into the public install path (/opt/ohpc/pub). This convention update was made to avoid interaction with distro (or other community) provided RPMs that might package the same dynamic library. All of the relevant OpenHPC packages have been rebuilt to provide self-consistent dependencies. As an example of the change, the following highlights the resulting change for the .so that is tagged as being provided by the gsl-gnu7-ohpc RPM:

    Old convention: libgsl.so.23()(64bit)
    New convention: libgsl.so.23()(64bit)(ohpc)

  • New install guide recipes were added to support PBS Professional on aarch64, and to support stateful provisioning with xCAT on CentOS+x86_64 platforms.

  • Python libraries supporting python v3.4 are now available, in addition to the existing python v2.7 versions. The module files for python v2.7 have changed with the addition of a prefix to distinguish the flavors (e.g. numpy is now py2-numpy).

  • There are significant changes included in the warewulf-httpd.conf file that ships with the warewulf-provision-server-ohpc package. If upgrading from a version prior to OpenHPC v1.3, the updated config file will be saved as /etc/httpd/conf.d/warewulf-httpd.conf.rpmnew locally. You will need to copy this new version to the production file and restart the web server to ensure correct provisioning behavior. As an example for CentOS:

    [sms]# cp /etc/httpd/conf.d/warewulf-httpd.conf.rpmnew /etc/httpd/conf.d/warewulf-httpd.conf
    [sms]# systemctl restart httpd
  • The newer Warewulf version included in OpenHPC v1.3.4 leverages iPXE for multi-architecture support. Administrators on existing systems who upgrade to the newer version may notice the upgrade process rebuilding previously defined bootstrap images. This is due to the fact that the images are now stored in a different path (/srv/warewulf/bootstrap/).
General Updates
  • updated Singularity modulefiles for consistency (#601)
  • updated SLURM to address CVE-2018-7033 (#605)
  • include Warewulf patch to fix non-zero exit status for wwsh pxe update (#636)
  • update default Ganglia settings for disk_total (#681)
  • document requirement to set PBS_LEAF_NAME in PBS Professional recipes (#684)
  • updated llvm builds to leverage distro gcc during build (#649)
  • applied patch to pdsh to enable builds against newer SLURM versions (#656)
  • variety of component version updates and other additions highlighted below
Component Additions
  * likwid-gnu7-ohpc                         (4.3.1)
  * likwid-intel-ohpc                        (4.3.1)
  * mfem-gnu7-impi-ohpc                      (3.3.2)
  * mfem-gnu7-mpich-ohpc                     (3.3.2)
  * mfem-gnu7-mvapich2-ohpc                  (3.3.2)
  * mfem-gnu7-openmpi3-ohpc                  (3.3.2)
  * mfem-intel-impi-ohpc                     (3.3.2)
  * mfem-intel-mpich-ohpc                    (3.3.2)
  * mfem-intel-mvapich2-ohpc                 (3.3.2)
  * mfem-intel-openmpi3-ohpc                 (3.3.2)
  * nhc-ohpc                                 (1.4.2)
Python Variant Addition
  * python34-Cython-ohpc                     (0.26.1)
  * python34-mpi4py-gnu7-impi-ohpc           (3.0.0)
  * python34-mpi4py-gnu7-mpich-ohpc          (3.0.0)
  * python34-mpi4py-gnu7-mvapich2-ohpc       (3.0.0)
  * python34-mpi4py-gnu7-openmpi3-ohpc       (3.0.0)
  * python34-mpi4py-intel-impi-ohpc          (3.0.0)
  * python34-mpi4py-intel-mpich-ohpc         (3.0.0)
  * python34-mpi4py-intel-mvapich2-ohpc      (3.0.0)
  * python34-mpi4py-intel-openmpi3-ohpc      (3.0.0)
  * python34-numpy-gnu7-ohpc                 (1.14.2)
  * python34-numpy-intel-ohpc                (1.14.2)
  * python34-scipy-gnu7-mpich-ohpc           (1.0.0)
  * python34-scipy-gnu7-mvapich2-ohpc        (1.0.0)
  * python34-scipy-gnu7-openmpi3-ohpc        (1.0.0)
Component Version Changes
  * EasyBuild-ohpc                           (3.4.1 -> 3.5.3)
  * R-gnu7-ohpc                              (3.4.2 -> 3.4.4)
  * adios-gnu7-impi-ohpc                     (1.12.0 -> 1.13.0)
  * adios-gnu7-mpich-ohpc                    (1.12.0 -> 1.13.0)
  * adios-gnu7-mvapich2-ohpc                 (1.12.0 -> 1.13.0)
  * adios-gnu7-openmpi3-ohpc                 (1.12.0 -> 1.13.0)
  * adios-intel-impi-ohpc                    (1.12.0 -> 1.13.0)
  * adios-intel-mpich-ohpc                   (1.12.0 -> 1.13.0)
  * adios-intel-mvapich2-ohpc                (1.12.0 -> 1.13.0)
  * adios-intel-openmpi3-ohpc                (1.12.0 -> 1.13.0)
  * boost-gnu7-impi-ohpc                     (1.65.1 -> 1.66.0)
  * boost-gnu7-mpich-ohpc                    (1.65.1 -> 1.66.0)
  * boost-gnu7-mvapich2-ohpc                 (1.65.1 -> 1.66.0)
  * boost-gnu7-openmpi3-ohpc                 (1.65.1 -> 1.66.0)
  * boost-intel-impi-ohpc                    (1.65.1 -> 1.66.0)
  * boost-intel-mpich-ohpc                   (1.65.1 -> 1.66.0)
  * boost-intel-mvapich2-ohpc                (1.65.1 -> 1.66.0)
  * boost-intel-openmpi3-ohpc                (1.65.1 -> 1.66.0)
  * cmake-ohpc                               (3.9.2 -> 3.10.2)
  * docs-ohpc                                (1.3.3 -> 1.3.4)
  * examples-ohpc                            (1.4 -> 1.5)
  * fftw-gnu7-mpich-ohpc                     (3.3.6 -> 3.3.7)
  * fftw-gnu7-mvapich2-ohpc                  (3.3.6 -> 3.3.7)
  * fftw-gnu7-openmpi3-ohpc                  (3.3.6 -> 3.3.7)
  * gnu7-compilers-ohpc                      (7.2.0 -> 7.3.0)
  * hwloc-ohpc                               (1.11.8 -> 1.11.9)
  * hypre-gnu7-impi-ohpc                     (2.11.2 -> 2.13.0)
  * hypre-gnu7-mpich-ohpc                    (2.11.2 -> 2.13.0)
  * hypre-gnu7-mvapich2-ohpc                 (2.11.2 -> 2.13.0)
  * hypre-gnu7-openmpi3-ohpc                 (2.11.2 -> 2.13.0)
  * hypre-intel-impi-ohpc                    (2.11.2 -> 2.13.0)
  * hypre-intel-mpich-ohpc                   (2.11.2 -> 2.13.0)
  * hypre-intel-mvapich2-ohpc                (2.11.2 -> 2.13.0)
  * hypre-intel-openmpi3-ohpc                (2.11.2 -> 2.13.0)
  * imb-gnu7-impi-ohpc                       (2018.0 -> 2018.1)
  * imb-gnu7-mpich-ohpc                      (2018.0 -> 2018.1)
  * imb-gnu7-mvapich2-ohpc                   (2018.0 -> 2018.1)
  * imb-gnu7-openmpi3-ohpc                   (2018.0 -> 2018.1)
  * imb-intel-impi-ohpc                      (2018.0 -> 2018.1)
  * imb-intel-mpich-ohpc                     (2018.0 -> 2018.1)
  * imb-intel-mvapich2-ohpc                  (2018.0 -> 2018.1)
  * imb-intel-openmpi3-ohpc                  (2018.0 -> 2018.1)
  * kmod-lustre-client-ohpc                  (2.10.0 -> 2.10.2)
  * kmod-lustre-client-ohpc-tests            (2.10.0 -> 2.10.2)
  * llvm5-compilers-ohpc                     (5.0.0 -> 5.0.1)
  * lmod-ohpc                                (7.7.1 -> 7.7.14)
  * lustre-client-ohpc                       (2.10.0 -> 2.10.2)
  * lustre-client-ohpc-tests                 (2.10.0 -> 2.10.2)
  * mpich-gnu7-ohpc                          (3.2 -> 3.2.1)
  * mpich-intel-ohpc                         (3.2 -> 3.2.1)
  * mumps-gnu7-impi-ohpc                     (5.1.1 -> 5.1.2)
  * mumps-gnu7-mpich-ohpc                    (5.1.1 -> 5.1.2)
  * mumps-gnu7-mvapich2-ohpc                 (5.1.1 -> 5.1.2)
  * mumps-gnu7-openmpi3-ohpc                 (5.1.1 -> 5.1.2)
  * mumps-intel-impi-ohpc                    (5.1.1 -> 5.1.2)
  * mumps-intel-mpich-ohpc                   (5.1.1 -> 5.1.2)
  * mumps-intel-mvapich2-ohpc                (5.1.1 -> 5.1.2)
  * mumps-intel-openmpi3-ohpc                (5.1.1 -> 5.1.2)
  * munge-devel-ohpc                         (0.5.12 -> 0.5.13)
  * munge-libs-ohpc                          (0.5.12 -> 0.5.13)
  * munge-ohpc                               (0.5.12 -> 0.5.13)
  * netcdf-gnu7-impi-ohpc                    (4.4.1.1 -> 4.5.0)
  * netcdf-gnu7-mpich-ohpc                   (4.4.1.1 -> 4.5.0)
  * netcdf-gnu7-mvapich2-ohpc                (4.4.1.1 -> 4.5.0)
  * netcdf-gnu7-openmpi3-ohpc                (4.4.1.1 -> 4.5.0)
  * netcdf-intel-impi-ohpc                   (4.4.1.1 -> 4.5.0)
  * netcdf-intel-mpich-ohpc                  (4.4.1.1 -> 4.5.0)
  * netcdf-intel-mvapich2-ohpc               (4.4.1.1 -> 4.5.0)
  * netcdf-intel-openmpi3-ohpc               (4.4.1.1 -> 4.5.0)
  * papi-ohpc                                (5.5.1 -> 5.6.0)
  * pbspro-client-ohpc                       (14.1.0 -> 14.1.2)
  * pbspro-execution-ohpc                    (14.1.0 -> 14.1.2)
  * pbspro-server-ohpc                       (14.1.0 -> 14.1.2)
  * pdtoolkit-gnu7-ohpc                      (3.24 -> 3.25)
  * pdtoolkit-intel-ohpc                     (3.24 -> 3.25)
  * petsc-gnu7-impi-ohpc                     (3.7.6 -> 3.8.3)
  * petsc-gnu7-mpich-ohpc                    (3.7.6 -> 3.8.3)
  * petsc-gnu7-mvapich2-ohpc                 (3.7.6 -> 3.8.3)
  * petsc-gnu7-openmpi3-ohpc                 (3.7.6 -> 3.8.3)
  * petsc-intel-impi-ohpc                    (3.7.6 -> 3.8.3)
  * petsc-intel-mpich-ohpc                   (3.7.6 -> 3.8.3)
  * petsc-intel-mvapich2-ohpc                (3.7.6 -> 3.8.3)
  * petsc-intel-openmpi3-ohpc                (3.7.6 -> 3.8.3)
  * pmix-ohpc                                (1.2.3 -> 2.1.1)
  * python-mpi4py-gnu7-impi-ohpc             (2.0.0 -> 3.0.0)
  * python-mpi4py-gnu7-mpich-ohpc            (2.0.0 -> 3.0.0)
  * python-mpi4py-gnu7-mvapich2-ohpc         (2.0.0 -> 3.0.0)
  * python-mpi4py-gnu7-openmpi3-ohpc         (2.0.0 -> 3.0.0)
  * python-mpi4py-intel-impi-ohpc            (2.0.0 -> 3.0.0)
  * python-mpi4py-intel-mpich-ohpc           (2.0.0 -> 3.0.0)
  * python-mpi4py-intel-mvapich2-ohpc        (2.0.0 -> 3.0.0)
  * python-mpi4py-intel-openmpi3-ohpc        (2.0.0 -> 3.0.0)
  * python-numpy-gnu7-ohpc                   (1.13.1 -> 1.14.2)
  * python-numpy-intel-ohpc                  (1.13.1 -> 1.14.2)
  * python-scipy-gnu7-mpich-ohpc             (0.19.1 -> 1.0.0)
  * python-scipy-gnu7-mvapich2-ohpc          (0.19.1 -> 1.0.0)
  * python-scipy-gnu7-openmpi3-ohpc          (0.19.1 -> 1.0.0)
  * singularity-ohpc                         (2.4 -> 2.4.5)
  * slepc-gnu7-impi-ohpc                     (3.7.4 -> 3.8.2)
  * slepc-gnu7-mpich-ohpc                    (3.7.4 -> 3.8.2)
  * slepc-gnu7-mvapich2-ohpc                 (3.7.4 -> 3.8.2)
  * slepc-gnu7-openmpi3-ohpc                 (3.7.4 -> 3.8.2)
  * slepc-intel-impi-ohpc                    (3.7.4 -> 3.8.2)
  * slepc-intel-mpich-ohpc                   (3.7.4 -> 3.8.2)
  * slepc-intel-mvapich2-ohpc                (3.7.4 -> 3.8.2)
  * slepc-intel-openmpi3-ohpc                (3.7.4 -> 3.8.2)
  * slurm-contribs-ohpc                      (17.02.9 -> 17.11.5)
  * slurm-devel-ohpc                         (17.02.9 -> 17.11.5)
  * slurm-ohpc                               (17.02.9 -> 17.11.5)
  * slurm-openlava-ohpc                      (17.02.9 -> 17.11.5)
  * slurm-pam_slurm-ohpc                     (17.02.9 -> 17.11.5)
  * slurm-perlapi-ohpc                       (17.02.9 -> 17.11.5)
  * slurm-slurmdbd-ohpc                      (17.02.9 -> 17.11.5)
  * slurm-torque-ohpc                        (17.02.9 -> 17.11.5)
  * slurm-example-configs-ohpc               (N/A -> 17.11.5)
  * slurm-libpmi-ohpc                        (N/A -> 17.11.5)
  * slurm-slurmctld-ohpc                     (N/A -> 17.11.5)
  * slurm-slurmd-ohpc                        (N/A -> 17.11.5)
  * slurm-sview-ohpc                         (N/A -> 17.11.5)
  * spack-ohpc                               (0.10.0 -> 0.11.2)
  * superlu_dist-gnu7-impi-ohpc              (4.2 -> 5.3.0)
  * superlu_dist-gnu7-mpich-ohpc             (4.2 -> 5.3.0)
  * superlu_dist-gnu7-mvapich2-ohpc          (4.2 -> 5.3.0)
  * superlu_dist-gnu7-openmpi3-ohpc          (4.2 -> 5.3.0)
  * superlu_dist-intel-impi-ohpc             (4.2 -> 5.3.0)
  * superlu_dist-intel-mpich-ohpc            (4.2 -> 5.3.0)
  * superlu_dist-intel-mvapich2-ohpc         (4.2 -> 5.3.0)
  * superlu_dist-intel-openmpi3-ohpc         (4.2 -> 5.3.0)
  * tau-gnu7-impi-ohpc                       (2.26.1 -> 2.27)
  * tau-gnu7-mpich-ohpc                      (2.26.1 -> 2.27)
  * tau-gnu7-mvapich2-ohpc                   (2.26.1 -> 2.27)
  * tau-gnu7-openmpi3-ohpc                   (2.26.1 -> 2.27)
  * tau-intel-impi-ohpc                      (2.26.1 -> 2.27)
  * tau-intel-mpich-ohpc                     (2.26.1 -> 2.27)
  * tau-intel-mvapich2-ohpc                  (2.26.1 -> 2.27)
  * tau-intel-openmpi3-ohpc                  (2.26.1 -> 2.27)
  * test-suite-ohpc                          (1.3.3 -> 1.3.4)
  * trilinos-gnu7-impi-ohpc                  (12.10.1 -> 12.12.1)
  * trilinos-gnu7-mpich-ohpc                 (12.10.1 -> 12.12.1)
  * trilinos-gnu7-mvapich2-ohpc              (12.10.1 -> 12.12.1)
  * trilinos-gnu7-openmpi3-ohpc              (12.10.1 -> 12.12.1)
  * trilinos-intel-impi-ohpc                 (12.10.1 -> 12.12.1)
  * trilinos-intel-mpich-ohpc                (12.10.1 -> 12.12.1)
  * trilinos-intel-mvapich2-ohpc             (12.10.1 -> 12.12.1)
  * trilinos-intel-openmpi3-ohpc             (12.10.1 -> 12.12.1)
Assets 12
You can’t perform that action at this time.